## fwts 13.09.01

=== debian/changelog ===
fwts (13.09.01-0ubuntu1) saucy; urgency=low
 
  [Alex Hung]
  * live-image/fwts-frontend-text: add uefi tests to fwts-live (LP: #1223793)

  [Keng-Yu Lin]
  * efi_runtime: fix the broken kernel vermagic when upgrading the kernel
      pacakge (LP: #1223801)

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Tue, 17 Sep 2013 15:27:31 +0800

fwts (13.09.00-0ubuntu1) saucy; urgency=low

  [Colin Ian King]
  * lib/fwts_uefi.c: fix time-of-use race on open/stat (LP: #1209251)
  * lib: fwts_cpu.c: fix time-of-use race on stat/open (LP: #1209225)
  * lib: fwts_dump: remove the redundant path in fwts_dump_info (LP: #1216344)
  * data: klog.json: Add some more ACPI related kernel error messages
      (LP: #1219006)
  * fwts: framework: Add missing closed parenthesis for -U option (LP: #1219576)

  [Ivan Hu]
  * UEFI: move the UEFI tests into the UEFI category (LP:#1207200)
  * uefi: uefidump: Add support for HwErrRecSupport
  * uefi: uefidump: Add support for OsIndicationsSupported
  * uefi: uefidump: Add support for VendorKeys

  [Naresh Bhat]
  * ACPICA:enable 64bit build for aarch64 architecture

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Tue, 10 Sep 2013 17:33:17 +0800

fwts (13.08.00-0ubuntu1) saucy; urgency=low
 
  [Alex Hung]
  * dmi: dmi_decode: merge smbios test as they both check dmi/smbios
  * dmi: rename dmi_decode test to dmicheck

  [Colin Ian King]
  * uefi: uefirtvariable: minor cleanup of failure message
  * uefi: uefirtvariable: add options to specify iterations in variable stress
      tests (LP: #1197742)
  * efi_runtime: Fix efi_runtime build warnings (LP: #1198168)
  * efi_runtime: ensure it always builds for kernels > 3.0.0 (LP: #1198168)
  * efi_runtime: memset the entire structure (LP: #1198236)
  * lib: add acpica mode types
  * lib: framework: add new acpica mode flags
  * lib: acpica: set various ACPICA global mode flags depending on acpica_mode
  * lib: fwts_framework: add support for new --acpica option
  * acpi: method: handle ACPICA slack mode gracefully
  * doc: add --acpica option to man page
  * acpi: syntaxcheck: use ASL_MESSAGE_TYPES instead of #defining them
      (LP: #1200568)
  * acpi: syntaxcheck: ensure error message strings are in sync with error
      (LP: #1200568)
  * lib: fwts_log: set non-TTY log with to 80 characters (LP: #1200592)
  * acpi: syntaxcheck: fix spelling mistake (LP: #1200602)
  * fwts_iasl_interface.c: ensure we read in all of stdout (LP: #1200426)
  * data: klog.json: rename "Common" label prefix to "Klog", (LP: #1201311)
  * data: klog.json: Update patterns to keep in sync with Linux 3.10 
      (LP: #1201335)
  * bios: hdaaudio: skip the test if no BIOS pin config found (LP: #1201903)
  * pci: aspm: test should skip if it can't read FACP or PCIe config
      (LP: #1201909)
  * docs: remove legacy notes created during early fwts development
  * smatchify.sh: fix spelling mistake
  * bios: mtrr: fix spelling mistake
  * acpica: Makefile.am: fix spelling mistake
  * data: syntaxcheck.json: fix spelling mistakes
  * data: klog.json: fix spelling mistakes
  * docs: fwts.1: fix spelling mistake
  * doc: fwts-frontend-text.1: fix spelling mistake
  * ACPICA: update to version 20130725 (LP: #1205203)
  * acpi: syntaxcheck: strcpy should be replaced with strncpy (LP: #1205215)
  * acpi: method: check for NULL buf before dereferencing it (LP: #1205267)
  * lib: fwts_alloc: use plain old mmap on 32 bit machines (LP: #1204065)
  * ACPICA BZ 1035 fixes segfault with too many ^^^^^^ prefixes.
      (LP: #1205714)
  * lib: fwts_log_json: check sting from json is not null (LP: #1206285)
  * acpi: acpidump: fix segfault on BERT entries (LP: #1206643)
  * data: klog.json: Add some firmware related kernel warnings (LP: #1206958)
  * utils: kernelscan: also scan for warning messages (LP: #1206953)
  * lib: fwts_log_json: enable json human readable formatting (LP: #1206290)

  [Zhang Rui]
  * update README_ACPICA to reflect the real ACPICA repo

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 07 Aug 2013 10:27:51 +0800

fwts (13.07.00-0ubuntu1) saucy; urgency=low

  [Alex Hung]
  * data: klog.json: remove duplicated patterns

  [Colin Ian King]
  * data: klog.json: Add some more advice for the now common lpc_ich warnings
  * apci: acpidump: fix segfault when dumping ASF! tables (LP: #1188209)
  * acpica: fwts_acpica: some cosmetic tidying up.
  * acpica: fwts_acpica: no need to check for null ptr on fwts_low_free
  * lib: acpica + fwts_framework: add --acpica-debug option
  * cpu: cpufreq: re-phrase P-state coordination message
  * cpu: cpufreq: remove the time to run from the description
  * Makefile.am: move apicedge test to keep tests in alpabetical order
  * bios: smbios: minor re-structure of test1
  * klog: move from acpi to kernel directory
  * bios: mpdump: fix indexing outside of mpdump_sys_addr_type array
  * lib, acpi, hotkey: remove redundant null checks before free()
  * bios: smbios: add more sanity checks to SMBIOS information
  * lib: fix assembly/disassembly segfault when AcpiOsVprintf is calle
    (LP: #1195209)
  * ACPICA: update to version 20130626
  * acpica: nspredef: fix null pointer dereference issue (LP: #1195251)
  * lib: fwts_framework: remove fwts_framework_setting
  * lib: fwts_framework: minor tidy up of code
  * lib: fwts_framework: remove some old and redundant #defines
  * fwts_iasl_interface.c: allocate temp buffers required for IASL
    (LP: #1196463)

  [Ivan Hu]
  * uefivarinfo: add the utility to show the NVRam and variable info

  [Keng-Yu Lin]
  * update_version.sh: use non-localised date representation

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 03 Jul 2013 11:07:03 +0800

fwts (13.06.00-0ubuntu1) saucy; urgency=low

  [Alex Hung]
  * bios: mtrr: add uncached string for DEFAULT type
  * pci: maxreadreq: Audio device to chipset devices.
  * data: klog.json: remove a redudent line break

  [Colin Ian King]
  * debian: control: fix typo
  * lib: fwts_uefi: make vars work on recent kernels (LP: #1171617)


=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

DEBVERS := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 \
		| cut -d- -f1)

VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

DKMS_SRC_DIR := $(CURDIR)/debian/fwts-efi-runtime-dkms/usr/src/fwts-efi-runtime-dkms-$(VERSION)

override_dh_auto_install:
	install -d $(DKMS_SRC_DIR)
	cp -a efi_runtime/* $(DKMS_SRC_DIR)
	dh_auto_install

override_dh_dkms:
	dh_dkms -V $(VERSION)


%:
	dh $@ --with autoreconf,dkms

## fwts 14.03.01

=== Makefile ===
obj-m += efi_runtime.o
all:
	make -C /lib/modules/$(KVER)/build M=`pwd` modules

install:
	make -C /lib/modules/$(KVER)/build M=`pwd` modules_install

clean:
	make -C /lib/modules/$(KVER)/build M=`pwd` clean

=== debian/changelog ===
fwts (14.03.01-0ubuntu2) trusty; urgency=low

  [Alex Hung]
  * klog: ACPI does not specify _BQC as a mandatory method
  * s3: add a "s3-hybrid" option to enable hybrid sleep for s3 (LP: #1295146)
  * fwts-test: klog: updates for _BQC changes in
    76c3ffd814cc882564f680b16f2c2d314ae58b07
  * fwts-test: arg-help-0001: updates tests for new --s3-hybrid option
  * fwts-test: arg-help-0001: fix test-0002.sh incorrectly uses
    arg-help-0001.log
  * doc: add --s3-hybrid man page entry

  [Colin Ian King]
  * acpi: wmi: add some newer UUIDs that are supported by linux (LP: #1292515)
  * fwts_hwinfo: don't compare network addresses (LP: #1293297)
  * acpi: acpidump: fix dump offsets in various table dumps (LP: #1293613)
  * fwts-test: re-sync with fwts fix to acpidump
  * lib: fwts_alloc: fix low 32 bit memory allocator (LP: #1295849)
  * fwts-test: arg-help-0001: don't check the version field
  * fwts-test: wmi-0001: update test to sync with WMI changes in fwts
  * fwts-test: arg-log-format-0001: fix aarch64 failures
  * acpi: method: add more advice for failed _PTS, _TTS and _WAK (LP: #1296737)
  * lib: fwts_acpi_object_eval: report better advice on exec failure
    (LP: #1296710)
  * acpi: method: fix _ACx test (LP: #1297323)
  * fwts-test: keep method-0001 test in sync with changes in fwts method
  * acpica: update to version 20140325 (LP: #1297531)
  * fwts-test: update ACPICA related tests due to ACPICA updates

  [Keng-Yu Lin]
  * debian: skip fwts-test on arm64

  [Matt Fleming]
  * lib: fwts_log: Add missing log field flags

 -- Ivan Hu <ivan.hu@ubuntu.com>  Thu, 27 Mar 2014 10:09:59 +0800

fwts (14.03.00-0ubuntu1) trusty; urgency=low

  [Colin Ian King]
  * acpi: fwts_acpi_tables: fix up missing FACS (LP: #1284097)
  * acpi: acpidump: provide table provenance (LP: #1284205)
  * apci: acpiinfo: enable for non-x86 arches (LP: #1284557)
  * Add utility to dump _PLD (Physical Device Location) information
    (LP: #1281835)
  * acpi: add in a tool to dump GPE information (LP: #1283473)
  * lib: fwts_acpi_tables: handle zero 64 bit addrs in FADT (LP: #1285167)
  * bios: hda_audio: skip the test if audio devices don't exist (LP: #1285571)
  * Remove copy-acpica.sh script, it is no longer used
  * acpi: checksum: print RSDP checksum correctly (LP: #1287815)
  * lib: fwts_acpi_tables: update RSDP checksum on fixed-up RSDP (LP: #1287852)
  * acpi: acpitables: remove irrelevant test case (LP: #1287891)
  * uefi: uefidump: small re-working of uefi GUID lookup
  * fwts-test: update acpidump-0001
  * fwts-test: acpitables-0002: sync with recent table fixing
  * fwts-test: syntaxcheck-0001: update to sync with fwts
  * fwts-test: arg-show-tests-0001: keep in sync with fwts
  * fwts-test: arg-show-tests-full-0001: keep in sync with fwts
  * fwts-test: checksum-0001: update due to fwts formatting fixes
  * fwts-test: arg-table-path-0001: sync with fwts changes
  * fwts-test: acpitables-0003: update to sync with fwts
  * fwts-test: acpitables-0004: update test
  * fwts-test: acpitables-0005: update test
  * fwts-test: acpitables-0006: update test
  * fwts-test: acpitables-0007: update test
  * fwts-test: acpitables-0008: update test
  * fwts-test: skip some tests on non-x86 builds
  * fwts-test: fix tests not to compare against date (LP: #1289225)
  * fwts-test: arg-help-0001: fix up some tests issues
  * fwts-test: arg-log-format-0001: make test less pedandic on line numbers
  * fwts-test: arg-show-progress-dialog: remove version from test
  * acpica: ppc64el needs to be built as a 64 bit architecture
  * debian: limit architectures to i386 amd64 armel armhf arm64 ppc64 ppc64el

  [Keng-Yu Lin]
  * fwts-test: Copy all files from fwts-test git tree (LP: #1201250)
  * lib: Make --disassemble-aml accept the outputdir argument (LP: #1201250)
  * fwts-test: Update disassemble-0001 test (LP: #1201250)
  * fwts-test: Update the test scripts for new test environment (LP: #1201250)
  * lib: fwts_args: determine tty width from stdin
  * fwts-test: disassemble-0001: rename *.orig to *.original

 -- Ivan Hu <ivan.hu@ubuntu.com>  Mon, 17 Mar 2014 15:13:44 +0800

fwts (14.02.00-0ubuntu0) trusty; urgency=low

  [Colin Ian King]
  * acpi: method: fix ppc64el build failure (LP: #1272265)
  * acpi: acpidump: handle invalid MADT table data (LP: #1278422)
  * cpu: cpufreq: tidy code, show advice when cpu scaling unavailable
    (LP: #1267959)
  * lib: fwts_release: call lsb_release rather than parsing raw data
    (LP: #1266823)
  * ACPICA: update to version 20140214. (LP: #1281096)
  * lib: fwts_acpi_tables: fix parsing of empty data (LP: #1281197)

  [Ivan Hu]
  * data: klog.json: lower the level of the failure when the _S1 and _S2 not
    implemented (LP: #1279714)

 -- Alex Hung <alex.hung@ubuntu.com>  Wed, 19 Feb 2014 11:48:01 +0800

fwts (14.01.01-0ubuntu0) trusty; urgency=low

  [Alex Hung]
  * auto-packager: mkpackage.sh: add trusty
  * debian: add dependency lts-saucy to fwts-efi-runtime-dkms

  [Colin Ian King]
  * fwts: add subdir-objects as required now by automake 1.14 (LP: #1268685)
  * ACPICA: update to version 20140114 (LP: #1269423)
  * fwts_log.h: remove LOG_TAG, fix up following bitfields (LP: #1269076)
  * updated automake files for libjson-c (LP: #1268005)
  * lib: fwts_framework: fix --stdout-summary output (LP: #1252186)
  * Allow for RSDP that is not 16 byte aligned (LP: #1271522)
  * fwts_exec: fix status check (LP: #1271607)

 -- Alex Hung <alex.hung@ubuntu.com>  Fri, 24 Jan 2014 10:54:58 +0800

fwts (14.01.00-0ubuntu1) trusty; urgency=low

  [Alex Hung]
  * dmi: change max value of "Upgrade" field" from 0x2a to 0x2c (LP: #1263634)

  [Colin Ian King]
  * cpu: microcode: test should skip if no microcound found (LP: #1259900)
  * acpi: acpidump: add SPCR table (LP: #1260351)
  * acpi: acpidump: add DBGP table (LP: #1260353)
  * acpi: acpidump: add DBG2 table (LP: #1260356)
  * Enable ACPI table dumping for non-x86 systems (LP: #1260470)


=== debian/control ===
Source: fwts
Section: devel
Priority: optional
Maintainer: Firmware Testing Team <fwts-devel@lists.ubuntu.com>
Uploaders: Colin King <colin.king@ubuntu.com>, Keng-Yu Lin <kengyu@ubuntu.com>, Alex Hung <alex.hung@canonical.com>, Chris Van Hoof <vanhoof@canonical.com>, Ivan Hu <ivan.hu@canonical.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7.0.50~), autoconf, automake1.11, libtool, libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison, hardening-wrapper, dh-autoreconf, dkms

Package: fwts
Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
Depends: libfwtsiasl1 (= ${binary:Version}), libfwtsacpica1 (= ${binary:Version}), libfwts1 (= ${binary:Version}), fwts-efi-runtime-dkms (= ${binary:Version}) [amd64] , ${shlibs:Depends}, ${misc:Depends}, pciutils
Suggests: dmidecode
Description: FirmWare Test Suite
 This is a firmware test suite that performs sanity checks on Intel/AMD 
 PC firmware. It is intended to identify BIOS and ACPI errors and 
 if appropriate it will try to explain the errors and give advice to 
 help workaround or fix firmware bugs.  It is primarily intended to 
 be a Linux-centric firmware troubleshooting tool.

Package: libfwtsiasl1
Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FirmWare Test Suite ACPICA core built for iasl functionality
 The firmware test suite requires the ACPICA core engine to be built in
 compiler mode (with ACPI_ASL_COMPILER enabled) to support assembly and 
 disassembly of ACPI Machine Language (AML) in the ACPI DSDT and SSDTs.
 This library contains this code with a thin fwts specific API to 
 interface with fwts.

Package: libfwtsacpica1
Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FirmWare Test Suite ACPICA core built for acpiexec functionality
 The firmware test suite requires the ACPICA core engine to be built in
 execution mode (with ACPI_EXEC_APP enabled) to support run time execution
 of ACPI Machine Language (AML) in the ACPI DSDT and SSDTs. This library
 contains this code with a thin fwts specific API to interface with fwts.

Package: libfwts1
Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FirmWare Test Suite core support library
 This is the fwts core library. It contains a top level test framework
 and a rich range of firmware specific testing support code for the 
 various fwts tests.

Package: fwts-frontend
Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, dialog, fwts
Description: Firmware Test Suite frontend interface
 This is a dialog based interface designed to provide an easy to use method
 to execute tests via Firmware Test Suite and is also used as the primary 
 interface within Firmware Test Suite live images.

Package: fwts-efi-runtime-dkms
Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, dkms, linux-headers-generic | linux-headers | linux-headers-generic-lts-quantal | linux-headers-generic-lts-raring | linux-headers-generic-lts-saucy
Description: Firmware Test Suite UEFI Runtime Service kernel driver
 This package provides the efi_runtime kernel driver in DKMS format,
 which is required for accessing UEFI Runtime Services.

## fwts 14.09.00

=== debian/changelog ===
fwts (14.09.00-0ubuntu1) utopic; urgency=low

  [Alex Hung]
  * acpi: method: fix incorrect comment in _CPC test
  * acpi: method: fix incorrect type comparison of
    ACPI_TYPE_INTBUF (LP: #1362426)
  * acpi: method: fix _STR's output should be buffer, not string
    (LP: #1362503)
  * acpi: method: add check for _EVT
  * acpi: method: add check for _GHL
  * acpi: method: method: add check for _GLK
  * acpi: method: add check for _SST
  * acpi: method: add check for _PUR
  * acpi: method: add check for _TZD and _TZM
  * acpi: method: add check for _TRT
  * acpi: method: add check for _PSL
  * acpi: method: add check for _ART
  * acpi: method: add check for _GTF and _GTM
  * fwts-test: update tests for new acpi method tests
  * acpi: method: fix incorrect failure messages for _TRT
  * acpi: method: fix _CID errors when it returns a package (LP: #1370924)

  [Colin Ian King]
  * ACPICA: update to version 20140828 (LP: #1362786)
  * acpi: method: extra sanity checks for _PSx objects, (LP: #1363904)
  * acpi: method: add check for ACPI 5.1 _DSD (LP: #1363925)
  * fwts-test: update tests because of new _DSD method check
  * acpi: method: acpi: method: add check for ACPI 5.1 _CCA (LP: #1363936)
  * fwts-test: update tests because of new _CCA method check
  * lib + tests: make --pm-method logind dependant on glib version
    (LP: #1364998)
  * Check that we are at least using glib that supports logind
  * data: klog.json: add a few more error message patterns
  * acpi: acpidump: avoid using void * pointer arithmetic
  * acpi: dmar: avoid using void * pointer arithmetic
  * lib: fwts_alloc: avoid using void * pointer arithmetic
  * lib: fwts_mmap: avoid using void * pointer arithmetic
  * lib: fwts_multiproc: avoid using void * pointer arithmetic
  * lib: fwts_pipeio: remove gcc cleanup attribute, it confuses cppcheck
  * lib: fwts_alloc: add field width limit for sscanf
  * lib: fwts_battery: add field width limit for sscanf
  * lib: fwts_ioport: use sigsetjmp and siglongjmp
  * acpi: wmi: update WMI GUIDs to be in sync with 3.17 kernel
  * lib: fwts: add more sanity checks when fetching the RSDP (LP: #1372849)
  * fwts-test: wmi: update test to sync with new GUIDs added to wmi test
  * uefi: uefivarinfo: fix double free on data (LP: #1372874)

  [Ivan Hu]
  * uefirtvariable: fix the wrong operator used, coverity scan error
    (LP: #1362893)
  * uefivarinfo: allocate buffer rewrite to avoid realloc failure
    (LP: #1362540)

  [Keng-Yu Lin]
  * debian: unrestrict automake and aclocal to be v1.11
  * debian: increment Standards-Version to 3.9.5
  * debian: unrestrict the automake version in Build-Depends

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 24 Sep 2014 15:41:17 +0800

fwts (14.08.00-0ubuntu0) utopic; urgency=low
 
  [Alberto Milone]
  * Make the --pm-method argument part of fwts_framework
  * Store all the pm_method related functions in fwts_pm_method.c
  * s3.c: make use of the functions in fwts_power_method.h
  * s4.c: add support for logind and sysfs methods
  * fwts_pm_method.h: move _cleanup_free_ here and share it with s3 and s4
  * s3power.c: add support for logind and sysfs methods
  * doc/fwts.1: update man page since --pm-method parameter also applies to S4
  * s3.c: add backward compatibility with older glib releases
  * s3power.c, s4.c: add backward compatibility with older glib releases

  [Alex Hung]
  * ACPI: change GTDT field names in ACPI 5.1 (LP: #1350170)
  * fwts-test: update arg-help-0001/0002 for pm-method changes
  * fwts-test: fix up tests related to iasl and syntaxcheck changes

  [Colin Ian King]
  * ACPICA: update to version 20140724 (LP: #1348342)
  * fwts-test: update disassemble test to sync with latest ACPICA changes
  * fwts-test: update syntaxcheck test to sync with latest ACPICA changes
  * ACPI: Add new ACPI 5.1 MADT stuctures and checks (LP: #1348581)
  * ACPI: Add new ACPI 5.1 FADT fields and update acpidump (LP: #1348598)
  * fwts-test: update ACPI table related tests due to ACPI 5.1 fwts changes
  * ACPI: Fix up GTDT corrections as in ACPI 5.1 (LP: #1348618)
  * lib + tests: re-work iASL backand and API to handle externals 
    (LP: #1317390)
  * Update contributors in man page
  * lib: don't use #pragma GCC push and pop

  [Ivan Hu]
  * uefirtvariable: setvariable without deleting the original variable 
    (LP: #1354301)
  * uefi: add the variable attribute definition for append write (LP: #1356194)
  * lib: uefi: add the status error report for the IP addr conflict 
    (LP: #1356195)
  * uefirtvariable: skip test when specific attributes not supported 
    (LP: #1356199)
  * uefirtvariable: add test for setvariable with both authenticated attributes
    are set (LP: #1356207)
  * s3: fix multiple s3 tests stop working (LP: #1359037)

 -- Kun Yang <kun.yang@canonical.com>  Thu, 21 Aug 2014 20:48:36 +0800

fwts (14.07.00-0ubuntu0) utopic; urgency=low

  [Alberto Milone]
  * src/Makefile.am: depend on glib and gio
  * Add build dependency on libglib2.0-dev
  * Add support for different power methods to suspend
  * debian/copyright: add copyright for the derivative work from systemd
  * doc/fwts.1: update man page with information on the --pm-method parameter
  * src/Makefile.am: use pkg-config to include glib and gio
  * debian/control: add build dependency on pkg-config

  [Alex Hung]
  * cpu: microcode: remove failures when kernel does not have newer version
    (LP: #1322534)
  * lib: fwts_dump: add cpuinfo dump
  * doc: fwts_dump: add cpuinfo.log to man page
  * acpi: method: add _PCL control method test (LP:1343070)

  [Colin Ian King]
  * src/lib/*.h: remove extraneous , at end of enum lists
  * acpi: acpidump: minor tidy up of code
  * acpi: acpitables: minor code tidy up
  * acpi: acpidump: re-arrange code to avoid declarations after code
  * acpi: method: re-arrange code to avoid declarations after code
  * acpi: method: re-arrange code to avoid declarations after code
  * Remove extraneous ; following FWTS_REGISTER macro


## fwts 15.03.01

=== debian/changelog ===
fwts (15.03.01-0ubuntu2) vivid; urgency=medium

  * lib: fwts_acpi_tables: fix segfault when tables fail to load (LP: #1452201)

 -- Colin King <colin.king@canonical.com>  Fri, 18 Dec 2015 10:40:40 +0000

fwts (15.03.01-0ubuntu1) vivid; urgency=low
 
  [Colin Ian King]
  * efi_runtime: ensure we don't allocate a zero byte buffer
      (LP: #1429890)]
  * uefi: uefirttime: Add tests to exercise invalid parameters
  * acpi: acpitables: make length and skip signed to handle -ve underflow
      (LP: #1435272)
  * uefi: uefidump: don't dump non-printable variable contents (LP: #1435346)
  * uefi: uefirtmisc: Add null count argument check for
      GetNextHighMonotonicCount
  * acpi: acpitables: add GTDT checking
  * lib: fwts_acpi_tables: load tables from /sys (LP: #1437043)
  * fwts-test: fix up acpitables tests
  * fwts-tests: fix up arg-show-tests-full test

  [Ivan Hu]
  * uefirtauthvar: return error when get mismatch size
  * uefirtauthvar: dependency checking for existence of test data
      (LP: #1434408)
  * uefirtauthvar: remove duplicate authenticated attribute test
      (LP: #1432752)

 -- Keng-Yu Lin <kengyu@ubuntu.com>  Wed, 01 Apr 2015 11:42:51 +0800

fwts (15.03.00-0ubuntu1) vivid; urgency=low

  [Colin Ian King]
  * lib: fwts_framework: add --show-tests-categories option (LP: #1415953)
  * fwts-test: arg-help-* - add new --show-tests-categories option
  * ACPICA: Update to use ACPICA version 20150204 (LP:#1418453)
  * fwts-test: disassemble-0001: ignore any copyright year changes
  * fwts: update copyright year to 2015
  * efi: uefirtvariable: fix build error on Ubuntu Precise
  * lib: fwts_acpi_tables: fix logcal/bit-wise & thinko
  * lib: fwts_framework: use strtok instead of strtok_r

  [Ivan Hu]
  * dmicheck: fix the range of Interface Type on Type38 (LP: #1416092)
  * dmicheck: support smbios check for version 2.8.0 (LP: #1418869)
  * uefirtauthvar: missing return error when mismatch size of set/get test data

  [Ricardo Neri]
  * efi_runtime: do not dereference userspace pointers from strings
  * efi_runtime: do not access userspace addresses directly
  * efi_runtime: limit the amount of data copied to userspace
  * efi_runtime: get_nextvariable: copy only the needed name bytes
  * uefirtvariable: allow large sizes for variable names
  * efi_runtime: handle memory errors when setting variables
 
 -- Ivan Hu <ivan.hu@ubuntu.com>  Fri, 06 Mar 2015 11:01:50 +0800

fwts (15.01.00-0ubuntu0) vivid; urgency=low

  [Alex Hung]
  * live-image/fwts-frontend-text: skip moving and avoid overwritting
    results.html (LP: #1322520)
  * acpi: method: add check for _PSD
  * acpi: method: add check for _PRW

  [Colin Ian King]
  * acpi: acpidump: reduce scope of variables
  * acpi: battery: reduce scope of variables
  * acpi: brightness: reduce scope of variables
  * acpi: brightness: reduce scope of variables
  * acpi: crsdump: reduce scope of variables
  * acpi: lid: reduce scope of variables
  * utilities: kernelscan: reduce scope of variables
  * uefi: uefirtvariable: reduce scope of variables
  * acpi: dmar: reduce scope of variables
  * acpi: pcc: reduce scope of variables
  * acpi: method: reduce scope of variables
  * acpi: s3: reduce scope of variables
  * acpi: s3power: reduce scope of variables
  * acpi: s4: reduce scope of variables
  * bios: hdaaudio: reduce scope of variables
  * bios: mtrr: reduce scope of variables
  * bios: multiproc: reduce scope of variables
  * cpu: cpufreq: reduce scope of variables
  * cpu: maxfreq: reduce scope of variables
  * cpu: microcode: reduce scope of variables
  * cpu: msr: reduce scope of variables
  * cpu: nx: reduce scope of variables
  * hotkey: reduce scope of variables
  * hpet: hpet_check: reduce scope of variables
  * lib: fwts_acpi_tables: reduce scope of variables
  * lib: fwts_backtrace: reduce scope of variables
  * lib: fwts_battery: reduce scope of variables
  * lib: fwts_dump: replace asctime with strftime
  * lib: fwts_efi_module: reduce scope of variable
  * cmos: cmosdump: clarify precedence for & and ?
  * lib: fwts_framework: fix some minor style warnings from cppcheck
  * lib: fwts_gpe: reduce scope of variables
  * lib: fwts_memorymap: fix typo on memory comparison sort
  * lib: fwts_memorymap: reduce scope of variables
  * lib: fwts_log: reduce scope of variables
  * lib: fwts_pm_method: reduce scope of variables
  * reduce scope of variables
  * lib: fwts_uefi: reduce scope of variables
  * pci: aspm: reduce scope of variables
  * lib: klog: reduce scope of variables
  * uefi: uefibootpath: reduce scope of variables
  * uefi: securebootcert: reduce scope of variables
  * uefi: uefidump: reduce scope of variables
  * uefi: uefirtauthvar: reduce scope of variables
  * uefi: uefirtmisc: reduce scope of variables
  * uefi: uefivarinfo: reduce scope of variables

  [Ivan Hu]
  * uefibootpath: include the null-terminated space in device path length
  * fwts-test: update fwts tests to sync with method tests

  [Naresh Bhat]
  * makefile.am : Use sysroot path for json

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 21 Jan 2015 10:39:00 +0800

fwts (14.12.00-0ubuntu1) vivid; urgency=low

  [Alex Hung]
  * auto-packager: mkpackage.sh: add vivid and remove quantal
  * data: klog: set "Gpe0Block - 32-bit FADT register is too long" to medium

  [Colin Ian King]
  * data: klog.json: Update with latest errors in ACPI
  * fwts-test: remove .swp file
  * acpi: s4: fix infinite loop because wrong variable being incremented
  * fwts: catch segfaults and bus errors and dump stack
  * Fix g_timeout_add to wait an integer number of seconds
  * cmos: just print drives + 1 with %d, fixes clang warning
  * uefibootpath: uefibootpath_check_dev_path: return int rather than int *
  * lib: fwts_klog: fix vector size and handle errors from pcre_exec
    (LP: #1401184)

  [Fu Wei]
  * ACPI: improve the return values and the log info in the
    fwts_acpi_handle_fadt_tables function.
  * ACPI: add the hardware reduced mode check function in


## fwts 15.09.00

=== debian/changelog ===
fwts (15.09.00-0ubuntu1) wily; urgency=low

  [Alex Hung]
  * acpi: method: add _CR3 test
  * acpi: method: add _MTL test
  * acpi: method: add _RST test
  * acpi: method: add _PRR test
  * fwts-test: update for _CR3, _MTL, _RST and _PRR method tests
  * acpi: fadt: merge tests for reset register

  [Colin Ian King]
  * cpu: cpufreq: reduce scope of variables
  * acpi: gpedump: clarify precedence for & and ?
  * lib: fwts_cpu: reduce scope on variables
  * lib: fwts_log: re-work to clean up va_arg scoping
  * uefi: uefirtvariable: clean up cppcheck style warning
  * doc: fwts manpage: Update contribution authors
  * ACPICA: Update to version 20150717 (LP: #1486253)
  * acpi: rsdp: make OEM ID test less strict
  * doc: update authors and add some warranty info at end of manual
  * data: klog.json: sync with latest 4.2 kernel messages (LP: #1493039)
  * fix some spelling mistakes in code and sync fwts-tests accordingly
  * cpu: maxfreq: check for unlikely event that no CPUs in cpu list
  * acpi: crsdump: fix incorrect use of string size in string copies
  * lib: fwts_acpi_tables: add checking for empty table parsing
  * lib: fwts_acpi_table: remove dead initialisation of ptr
  * dmi: dmicheck: fix build error on 32 bit builds

  [David Ward]
  * Makefile.am: use pkg-config for json-c

  [Ivan Hu]
  * fwts-test: fix typos for uefi acpi table regression test
  * lib: fwts_smbios: fix the smbios version from uefi always zero
    (LP: #1484023)
  * lib: fwts_scan_efi_systable: fix getting wrong smbios entry (LP: #1484046)
  * acpi: dbg2: won't find obj when no namespace device path (lp: #1486893)
  * lib: fwts_smbios: add the struct definition for smbios 3.0.0
  * dmicheck: re-orgainise the smbios entry point check
  * lib: smbios: add smbios version 3.0.0 entry find helper
  * dmicheck: add test for smbios 3.0.0 entry point
  * dmicheck: add error test for SMBIOS 3.0.0 table
  * dmicheck: sync the dmi value test with smbios 3.0.0 spec
  * fwts-test: update test to sync with smbios 3.0.0
  * dmicheck: fix the Base Board type range typos
  * auto-packager: mkpackage.sh: remove utopic

 -- Ivan Hu <ivan.hu@ubuntu.com>  Fri, 11 Sep 2015 10:40:40 +0800

fwts (15.08.00-0ubuntu1) wily; urgency=low

  [Alex Hung]
  * acpi: add table names in test description
  * fwts-test: update for prefix for ECDT, TCPA, WAET and XENV
  * acpi: remove redundant tailing spaces - no functional changes
  * acpi: tcpa: fix incorrect comments - no functional changes
  * acpi: tpm2: Add ACPI TPM2 test
  * fwts-test: Add regression test for TPM2, update fwst-tests
  * acpi: method: fix incorrect shift of 64-bit integer in CRS
  * acpi: method: add support for _CPC revision 2
  * acpi: acpidump: change FADT flag BIT20 to Hardware-reduce ACPI
  * fwts-test: update for changing to Hardware-reduce ACPI
  * acpi: update MADT GIC Distributor Structure and related tests
  * acpi: update MADT GICC Structure and related tests
  * acpi: fadt: update fadt_dsdt test with x_dsdt field
  * acpi: fadt: check RESET_REG_SUP before checking the reset register
  * acpi: method: refine _AEI control method
  * acpi: method: refine _EVT test

  [Anthony Wong]
  * fwts: Better options handling for --dump
  * lib: Allow reading ACPI dump file by non-root user

  [Colin Ian King]
  * acpi: XENV: fix a few spelling mistakes and fix up copyright
  * fwts-test: Update tests to sync with last XENV fixes
  * acpi: LPIT: remove duplicate "LPIT" from test description
  * fwts-test: Update tests to sync with last LPIT fixes
  * acpi: HPET: fix typo in HPET description field
  * fwts-test: Update tests to sync with HPET fix
  * Add ACPI IORT test (LP: #1450440)
  * Update fwts-test for the new IORT table test
  * ACPICA: Update to version 20150717 (LP: #1475733)
  * fwts-test: update syntaxcheck test now IASL finds more errors
  * acpi: iort: fix build warning on older versions of GCC
  * lib: fwts_framework: remove dubious total of --show-tests-full
  * acpidump: update mchi to latest revision of MCHI specification
  * acpi: Add support for MCHI Table (LP: #1478951)
  * fwts-test: Add MCHI table regression tests
  * acpi: Add support for STAO Table (LP: #1478957)
  * fwts-test: Add STAO table regression tests
  * lib: fix build error on non-Intel platforms
  * acpi: correct ASF! table definitions
  * acpi: Add support for ASF! Table (LP: #1479736)
  * fwts-test: Add ASF! table regression tests
  * lib: acpi.h: clean up comments and code - add more references
  * acpi: Add support for WDAT Table (LP: #1480257)
  *     fwts-test: Add WDAT table regression tests

  [Ivan Hu]
  * fwts-test: uefi: remove redundant files
  * acpi: add support for FPDT table (LP: #1476954)
  * fwts-test: Add FPDT table regression tests

  [Ricardo Neri]
  * cpu/cpufreq: Iterate over the correct number of CPUs in _test_sw_any

 -- Ivan Hu <ivan.hu@ubuntu.com>  Wed, 05 Aug 2015 14:18:41 +0800

fwts (15.07.00-0ubuntu1) wily; urgency=low

  [Alex Hung]
  * acpi: dmar: add FWTS_FLAG_ROOT_PRIV to dmar test
  * fwts_acpi: acpidump: update TCPA table and acpidump accordingly
  * fwts-test: update according to TCPA structure changes
  * fwts-test: Remove TMPLOG in make check
  * tcpa: Add ACPI TCPA test
  * fwts-test: Add regression test for TCPA, update fwst-tests
  * acpi: add XENV table test
  * fwts-test: Add XENV table regression test
  * lib: fwts_framework: Append "tests" to --uefi and --acpi
  * fwts-tests: modify according to changes to --uefitests and --acpitests
  * live-image/fwts-frontend-text: update to --uefitests and --acpitests

  [Colin Ian King]
  * acpi: method: remove extraneous "_" in error message
  * lib: acpica: compiler: link in missing objects (LP: #1461936)
  * lib: fwts_klog: fix vector size and handle errors from pcre_exec
    (LP: #1461520)
  * acpi: lib: fwts_acpi_tables: force fixup when loading tables from
    /sys/firmware
  * lib: acpi, acpidump: rename slit tables types
  * lib: acpi: add in new GICC table fwts_acpi_table_gicc_affinity


=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Firmware Testing Team <fwts-devel@lists.ubuntu.com>
-Uploaders: Colin King <colin.king@ubuntu.com>, Keng-Yu Lin <kengyu@ubuntu.com>, Alex Hung <alex.hung@canonical.com>, Chris Van Hoof <vanhoof@canonical.com>, Ivan Hu <ivan.hu@canonical.com>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.50~), autoconf, automake1.11, libtool, libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison, hardening-wrapper, dh-autoreconf, dkms
+Uploaders: Colin King <colin.king@ubuntu.com>, Keng-Yu Lin <kengyu@ubuntu.com>, Alex Hung <alex.hung@canonical.com>, Ivan Hu <ivan.hu@canonical.com>
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.0.50~), autoconf, automake, libtool, libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison, hardening-wrapper, dh-autoreconf, dkms, libglib2.0-dev, pkg-config
 
 Package: fwts
 Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el

## fwts 16.03.00

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+KVER ?= `uname -r`
 obj-m += efi_runtime.o
 all:
 	make -C /lib/modules/$(KVER)/build M=`pwd` modules

=== debian/changelog ===
fwts (16.03.00-0ubuntu1.3) xenial; urgency=low

  [Colin Ian King]
  * efi_runtime: fix access_ok build issues on 5.0 kernels (LP: #1813059)
    - add Linux 5.0 compat fix to access_ok to fix dkms build issue

 -- Colin Ian King <colin.king@canonical.com>  Thu, 24 Jan 2019 09:25:11 +0000

fwts (16.03.00-0ubuntu1.2) xenial; urgency=low

  * enable PM debug messages for S3 + S4 (LP: #1772563)
   - kernels may have pm debug disabled, so force this on during S3/S4
     tests. Patches from upstream fwts

 -- Colin King <colin.king@canonical.com>  Fri, 10 Aug 2018 10:06:12 +0100

fwts (16.03.00-0ubuntu1.1) xenial; urgency=low

  * fix segment fault when running fwts method test (LP: #1635502)
    - remove double pthread_mutex_unlock on method usage thread counter

 -- Colin King <colin.king@canonical.com>  Mon, 24 Oct 2016 17:21:11 +0100

fwts (16.03.00-0ubuntu1) xenial; urgency=low

  [Alex Hung]
  * acpi: csrt: fix a spelling mistake in a comment
  * acpi: csrt: fix resource descriptor can go over boundary

  [Colin Ian King]
  * debian/control: Add s390x to Architecture list (LP: #1549737)
  * lib: fwts_cpu: fix memory leak and incorrect return (LP: #1549723)
  * Add s390x build support, don't build ACPI specific code for this arch
  * Add s390x build support: skip tests that are not build in for this arch
  * Add s390x build support, don't build UEFI specific code for this arch
  * Debian/control: don't build UEFI kernel module for s390x
  * acpi: fan: fix indentation, remove extraneous tab
  * acpi: method: fix a few incorrectly idented lines of code
  * bios: mpcheck: fix trivial indentation issue
  * bios: mpdump: fix trivial indentation issue
  * uefi: uefirtvariable: fix trivial indentation issues
  * uefi: uefirtauthvar: fix trivial indentation issues
  * smatchify: add two passes option

  [Ivan Hu]
  * uefi: add sanity check for UEFI ESRT table (LP: #1553043)
  * uefi: esrt: don't build UEFI specific code for s390x
  * fwts-test: Update tests to sync with esrt test adding
  * uefi: esrt: fix the resource leak found by Coverity Scan
  * uefi: esrt: fix build failure due to lack of header file
  * acpi: method: fix faile check on _EC control method (LP: #1556720)
  * acpi: method: fix _ON method never be tested.
  * acpi: method: remove some reduntant and unused tests.
  * fwts-test: sync up with the fwts method tests changed

 -- Alex Hung <alex.hung@ubuntu.com>  Mon, 14 Mar 2016 17:09:08 +0800

fwts (16.02.00-0ubuntu1) xenial; urgency=low

  [Al Stone]
  * Start defining FWTS architectures as variables
  * Define some utility functions for using the fwts_architecture enum
  * Add mechanism to tell FWTS what architecture is being tested
  * ACPI: MADT: add in compliance tests for the MADT and subtables
  * ACPI: Add in MADT subtable description for GIC ITS subtable
  * ACPI: MADT: add in compliance checks for the GIC ITS subtable
  * Documentation: add --acpicompliance to man page
  * Documentation: add --arch to the man page
  * RSDP: minor cleanups to rsdp.c for checkpatch issues
  * utilities: add a helper function for printing out architecture names
  * ACPI tables: when bodging up an RSDP, do the right thing for the arch
  * ACPI RSDP: flesh out the tests to check for full spec compliance.
  * Update regression test rsdp-0001/test-0001.sh
  * Update the regression test arg-help-0001/test-0001.sh
  * Update regression test for arg-help-0001/test-0002.sh
  * Update regression test for arg-show-tests-0001/test-0001.sh
  * Update regression test arg-show-tests-full-0001/test-0001.sh
  * Update the regression test arg-table-path-0001/test-0001.sh
  * Update the regression test madt-0001/test-0001.sh
  * Update the regression test madt-0001/test-0002.sh
  * FADT: enable compiling on non-x86 architectures
  * FADT: non-x86 machines need an FADT but x86 can survive without one
  * FADT: disable SCI_EN and RESET_REG tests when in reduced hardware mode
  * FADT: add in code to log basic info about the various FADT flag fields
  * Add in bit masks for FACS flags.
  * FADT: move log info out of test2, will provide it elsewhere
  * ACPI: Add hypervisor ID field to FADT.
  * FADT: minor cleanup and initial compliance tests
  * FADT: expand the compliance test for FIRMWARE_CTRL fields
  * FADT: expand compliance checks for DSDT and X_DSDT fields
  * FADT: add compliance tests for reserved fields, PM profile, reduced hardware
  * FADT: restructure test sequence around reduced hardware mode
  * FADT: expand compliance tests for the SMI_CMD field
  * FADT: add compliance tests for the ACPI_ENABLE and ACPI_DISABLE fields
  * FADT: add compliance tests for S4BIOS_REQ and PSTATE_CNT fields
  * FADT: extend and add PM address block compliance tests
  * FADT: enhance compliance tests for GPE blocks
  * FADT: add compliance test for the CST_CNT field
  * FADT: add in compliance tests for C2/C3 latency fields
  * FADT: add in SLEEP_CONTROL_REG and SLEEP_STATUS_REG compliance tests
  * FADT: remove no longer useful variables from test1
  * FADT: add safety checks for older versions of FADT
  * FADT: update regression tests to incorporate new/changed tests

  [Alex Hung]
  * acpi: method: add _PMC test
  * acpi: method: add _PRT test
  * fwts-test: update for _PMC and _PRT tests
  * acpi: method: add _RDI test
  * acpi: method: add _LPI test
  * fwts-test: update for _RDI and _LPI tests
  * acpi: method: remove non-method names from the top comments
  * acpi: erst: fix incorrect error message for reserved field
  * fwts-test: update erst test for the fix of reserved field

  [Colin Ian King]
  * lib: fwts_klog: fix incorrect indentation, detected by gcc-6
  * lib: fwts_hwinfo: clean up type punning, fixes warning with gcc-6
  * fwts: wakealarm: reset wakealarm timer at end of test (LP: #1534003)
  * Update arg-show-tests-full now that we have an extra test in wakealarm
  * dmi: dmicheck: add some simple sanity checks to table size
  * lib: fwts_args: use safer strncat than strcat


=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Firmware Testing Team <fwts-devel@lists.ubuntu.com>
 Uploaders: Colin King <colin.king@ubuntu.com>, Keng-Yu Lin <kengyu@ubuntu.com>, Alex Hung <alex.hung@canonical.com>, Ivan Hu <ivan.hu@canonical.com>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 7.0.50~), autoconf, automake, libtool, libpcre3-dev (>= 7.8), libjson0-dev (>= 0.9), flex, bison, hardening-wrapper, dh-autoreconf, dkms, libglib2.0-dev, pkg-config
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 7.0.50~), autoconf, automake, libtool, libjson0-dev (>= 0.9), flex, bison, hardening-wrapper, dh-autoreconf, dkms, libglib2.0-dev, pkg-config
 
 Package: fwts
-Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
+Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x
 Depends: libfwtsiasl1 (= ${binary:Version}), libfwtsacpica1 (= ${binary:Version}), libfwts1 (= ${binary:Version}), fwts-efi-runtime-dkms (= ${binary:Version}) [amd64] , ${shlibs:Depends}, ${misc:Depends}, pciutils
 Suggests: dmidecode
 Description: FirmWare Test Suite
@@ -18,7 +18,7 @@
  be a Linux-centric firmware troubleshooting tool.
 
 Package: libfwtsiasl1
-Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
+Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FirmWare Test Suite ACPICA core built for iasl functionality
  The firmware test suite requires the ACPICA core engine to be built in
@@ -28,7 +28,7 @@
  interface with fwts.
 
 Package: libfwtsacpica1
-Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
+Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FirmWare Test Suite ACPICA core built for acpiexec functionality
  The firmware test suite requires the ACPICA core engine to be built in
@@ -37,7 +37,7 @@
  contains this code with a thin fwts specific API to interface with fwts.
 
 Package: libfwts1
-Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
+Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FirmWare Test Suite core support library
  This is the fwts core library. It contains a top level test framework
@@ -45,7 +45,7 @@
  various fwts tests.
 
 Package: fwts-frontend
-Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el
+Architecture: i386 amd64 armel armhf arm64 ppc64 ppc64el s390x
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}, dialog, fwts
 Description: Firmware Test Suite frontend interface
